com.pivotal.gemfirexd.internal.client.net

## Class Typdef

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Typdef

All Implemented Interfaces:
  Cloneable

    public class Typdef
    extends Object
    implements Cloneable

### Field Summary

Fields
`protected int` `environment_`
`protected static com.pivotal.gemfirexd.internal.client.net.FdocaSimpleDataArray[]` `environmentTables_`
`static String` `UTF8ENCODING`

### Constructor Summary

Constructors
Constructor and Description
`Typdef(NetAgent netAgent, int ccsidSbc, String typdefnam, int ccsidDbc, int ccsidMbc)`

### Method Summary

Methods
`Object` `clone()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UTF8ENCODING

    public static final String UTF8ENCODING

See Also:
  Constant Field Values

#### environmentTables_

    protected static final com.pivotal.gemfirexd.internal.client.net.FdocaSimpleDataArray[] environmentTables_

#### environment_

    protected int environment_

### Constructor Detail

#### Typdef

    public Typdef(NetAgent netAgent,
          int ccsidSbc,
          String typdefnam,
          int ccsidDbc,
          int ccsidMbc)
           throws DisconnectException

Throws:
  `DisconnectException`

### Method Detail

#### clone

    public Object clone()

Overrides:
  `clone` in class `Object`